curl --request PATCH \
--url https://api.hubapi.com/files/v3/folders/{folderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"parentFolderId": 123
}
'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}フォルダーIDで特定したフォルダーのプロパティーを更新します。
curl --request PATCH \
--url https://api.hubapi.com/files/v3/folders/{folderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"parentFolderId": 123
}
'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
更新するフォルダーのID
\d+successful operation
フォルダーが削除されたかどうかを示します。
フォルダー作成のタイムスタンプ。
フォルダーのID。
フォルダーに対する最新の更新のタイムスタンプ。
フォルダー削除のタイムスタンプ。
新しい名前。指定すると、フォルダーの名前とfullPathが変更されます。このフォルダーの全ての子は変更に合わせて更新されます。
新しい親folderId。変更すると、フォルダーとその全ての子が指定したフォルダーに移動されます。parentFolderIdとparentFolderPathを同時に指定することはできません。
ファイルマネージャーにおけるフォルダーのパス。